//
//  ProfileProtocols.swift
//  VKExt
//
//  Created programmist_NA on 25.05.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import Foundation
import UIKit

//MARK: Wireframe -
protocol ProfileWireframeProtocol: class {
    
}
//MARK: Presenter -
protocol ProfilePresenterProtocol: class {
    func start(request: ProfileModel.Request.RequestType)
    func presentData(response: ProfileModel.Response.ResponseType)
    func onLikePost(request: ProfileModel.Request.RequestType)
}

//MARK: Interactor -
protocol ProfileInteractorProtocol: class {
    var presenter: ProfilePresenterProtocol?  { get set }
    func start(request: ProfileModel.Request.RequestType)
    func makeRequest(request: ProfileModel.Request.RequestType)
}

//MARK: View -
protocol ProfileViewProtocol: class {
    var presenter: ProfilePresenterProtocol?  { get set }
    func displayData(viewModel: ProfileModel.ViewModel.ViewModelData)
}
